<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Remote control app</title>
    <style>
        #app-container {
            border: 1px solid black;
            border-radius: 5px;
            width: fit-content;
            padding: 22px;
            margin-bottom: 12px;
        }

        .button-container {
            width: 100%;
            text-align: center;
        }

        #range-velocity {
            margin-bottom: 20px;
            width: 100%;
        }
    </style>
</head>

<body>
    <h3>Remote control app</h3>
    <div id="app-container">
        <input id="range-velocity" type="range" value="0" />
        <div class="button-container">
            <button id="start-button">Start</button>
            <button id="stop-button">Stop</button>
        </div>
    </div>
    <div id="handy-ui"></div>
</body>
<script src="https://unpkg.com/@ohdoki/handy-sdk@2.3.2"></script>
<script>
    const startButton = document.getElementById("start-button");
    const stopButton = document.getElementById("stop-button");
    const rangeVelocity = document.getElementById("range-velocity");


    const handy = Handy.init();
    handy.attachUUI();



    startButton.addEventListener("click", () => {
        console.log('on start button');
        handy.hampPlay();
    });
    stopButton.addEventListener("click", () => {
        console.log('on stop button');
        handy.hampStop();
    });
    rangeVelocity.addEventListener("input", () => {
        console.log('on velocity input');
        const velocity = rangeVelocity.value;
        handy.setHampVelocity(velocity);
    });


</script>

</html>